Subject: How to upgrade to FCKeditor 2.2 on GL 1.4

Posted on: 22/03/06 09:17am
By: samstone

GL 1.4 comes with fckeditor 2.1.1, which has quite a few bugs that bothers me, so I tried to upgrade it to the current version 2.2, which is virtually bug free. The upgrade is easy.

1 - Save a copy of fckconfig.js file found in public_html/fckeditor/ directory.

2 - rename the current public_html/fckeditor directory to fckeditor_old, so that you can revserse back if you can't get the new version work for you.

3 - Load the new fckeditor to public_html

4 - Look at the old fckeditor's fckconfig.js and copy the custom toolbars (toolbar1, toolbar2, etc.) to the new fckconfig.js, or simply creat your own custom toolbars with those names, as GL uses these names.

That's it for the fckeditor 2.2 to work with GL.

---------

Next, you would want to activate the file manager so that you can upload images and files (note that the new file manager that comes with version 2.2 no longer have thumbnail capability. It will only show file names.)

To activate the file manager change the 'config.php' file in the following directory:

FCKeditor/editor/filemanager/browser/default/connectors/php

from


global $Config ;

// SECURITY: You must explicitelly enable this "connector". (Set it to "true").
$Config['Enabled'] = false ;

// Path to user files relative to the document root.
$Config['UserFilesPath'] = '/UserFiles/' ;





to

global $Config ;

// SECURITY: You must explicitelly enable this "connector". (Set it to "true").
$Config['Enabled'] = true ;

// Path to user files relative to the document root.
$Config['UserFilesPath'] = '/images/library/' ;





------------------------

That's as much as I can remember what I did to get the fckeditor 2.2 work with GL 1.4. All my sites now use fckeditor 2.2.

If you find addtional steps, please post it here so that others can benefit from it.

Sam


netHow to upgrade to FCKeditor 2.2 on GL 1.4

Posted on: 24/03/06 05:49am
By: LWC

Can you elaborate which bugs it fixed?

How to upgrade to FCKeditor 2.2 on GL 1.4

Posted on: 24/03/06 10:44am
By: DTrumbower

http://www.fckeditor.net/whatsnew/default.html

How to upgrade to FCKeditor 2.2 on GL 1.4

Posted on: 24/03/06 11:27am
By: samstone

Ya, quite a long list, isn't it?

Sam

How to upgrade to FCKeditor 2.2 on GL 1.4

Posted on: 26/03/06 11:34am
By: LWC

Here are only the only needed steps and in an organized way:

I. Must do steps:

If you have a unix system, rename the main folder from FCKeditor to fckeditor.
Don't touch fckconfig.js if you know what's good for you! The only thing you need there to integrate FCKeditor with Geeklog is to find the line FCKConfig.ToolbarSets["Default"] = [ and add on top of it Geeklog's special toolbars:
FCKConfig.Plugins.Add( 'FullWindow' ) ;
.
.
.
FCKConfig.ToolbarSets["editor-toolbar4"] = [...



II. Needed steps if you want to enable uploads:
  • Enabling them:
    [QUOTE fckeditor/editor/filemanager/browser/default/connectors/php/config.php]
    // custom code - start
    require_once('../../../../../../../lib-common.php');
    // custom code - end

    global $Config ;

    // SECURITY: You must explicitelly enable this "connector". (Set it to "true").
    $Config['Enabled'] = true ;

    // Path to user files relative to the document root.
    $Config['UserFilesPath'] = $_CONF_FCK['imagelibrary'] ;
    [/QUOTE]

    Although to be honest it really sucks to load lib-common.php just for that one small value ($_CONF_FCK), but the only other alternative is using a totally manual path.

    Making them work with Geeklog:
    [quote fckeditor/fckeditor.js]
    // custom code - start
    var _FileBrowserLanguage = 'php' ; // asp | aspx | cfm | lasso | perl | php | py
    var _QuickUploadLanguage = 'php' ; // asp | aspx | cfm | lasso | php
    // custom code - end
    [/quote]
    III. Unresolved questions:
    What about FCKeditor/editor/filemanager/upload/php/config.php ? Should I enable this "Uploader" too?

    Can/should we delete:

    FCKeditor/_samples
    FCKeditor/_testcases
    FCKeditor/editor/filemanager/upload/*any folder that isn't PHP*
    FCKeditor/editor/filemanager/browser/default/connectors/*any folder that isn't PHP*
    ?

    Should we also copy the following to fckconfig.js?

    FCKConfig.Plugins.Add( 'FullWindow' ) ;
    FCKConfig.Plugins.Add( 'CloseWindow' ) ;
    FCKConfig.ToolbarSets["NewToolbarClose"] = [...

    And speaking of fckconfig.js, there are no less than dozens differences between the two files which you casually tell us to ignore. Are you sure we should ignore them that easily?

  • How to upgrade to FCKeditor 2.2 on GL 1.4

    Posted on: 26/03/06 01:25pm
    By: samstone

    [QUOTE BY= LWC] It really should be:
    [QUOTE config.php]
    global $Config ;

    // SECURITY: You must explicitelly enable this "connector". (Set it to "true").
    $Config['Enabled'] = true ;

    // Path to user files relative to the document root.
    $Config['UserFilesPath'] = $_CONF_FCK['imagelibrary'] ;
    [/QUOTE] [/QUOTE]
    That's better.


    And what about FCKeditor/editor/filemanager/upload/php/config.php ? Should I enable this "Uploader" too?

    I use the uploader at the bottom of the folders and files list area of the file manage. I think this uploader is reduntant when the file manager is turned on. If you use it, that's fine.


    Also, can/should we delete:
    1. FCKeditor/_samples
    2. FCKeditor/_testcases
    3. FCKeditor/editor/filemanager/upload/*any folder that isn't PHP*
    4. FCKeditor/editor/filemanager/browser/default/connectors/*any folder that isn't PHP*
    ?


    You should delete them if you need the extra space it is taking.


    Finally, should we also copy the following to fckconfig.js?
    1. FCKConfig.Plugins.Add( 'FullWindow' ) ;
    2. FCKConfig.Plugins.Add( 'CloseWindow' ) ;
    3. FCKConfig.ToolbarSets["NewToolbarClose"] = [...
    [/QUOTE]

    That's right. I don't copy the FullWindow function because I found it to be an unnecessary additional task to open a full window everytime I edit the story. I like it with all my custom buttons on the textareas, only two rows anyway. Previously, I had to tell almost every user, some of them are elderly, to see that full screen button in order to use more functions. Now, I don't have to because eveything they are allowed to use is there.


    And speaking of fckconfig.js, there are no less than dozens differences between the two files which you casually tell us to ignore. Are you sure we should ignore them that easily?


    fckconfig.js is for customizing to your personal taste. It needs the reading of the documentations to understand the functions of all the settings. I adjust it all the time, like one adjust the config.php of Geeklog, so I would leave it up to the user.

    If you have any critical suggestions, please do post it here. One particular function I turn on is to force plain text pasting, and to use 'br' for carriage return. That latter keeps the gap close between intro text and body text. I also added a simple text editor in block editor and event editors.

    As I said, it's up to your taste and the documentation is good enough for each user to determine what s/he wants.


    Sam

    How to upgrade to FCKeditor 2.2 on GL 1.4

    Posted on: 26/03/06 03:59pm
    By: LWC

    I understand that you have your own tastes, but if you post instructions make it a habit to make them global. So if anything, first say to copy the Full Window's function and then add as a personal note you don't use it.

    I think the Uploader is disabled in Geeklog v1.4 too. I asked to be sure of that for the new version too, but from what you say I guess I was right. What does it do anyway?

    Do you know what's NewToolbarClose?

    Speaking of being global, I was talking about Geeklog v1.4's default fckconfig.js The big question is whether its settings were made by Geeklog's developers or were they just the defaults of FCKeditor?
    It's easier if it's the latter because then the global instructions would just say - "copy the new fckconfig.js and add the toolbars".

    With that said, I'm sorry for being such a perfectionist about these things but...I just can't help it. :-) And you already know my obsession with being global (I think you already know that from the Multilingual patch...). You're still the only one who bothered to update FCKeditor and give instructions for others about it. I know I wouldn't do it if you didn't tell me about it. So thanks on behalf of every Geeklog user.

    How to upgrade to FCKeditor 2.2 on GL 1.4

    Posted on: 26/03/06 05:05pm
    By: samstone

    I was trying to be a minimalist, rather than a perfectionist! I didn't even try to reinstate the full windows version when I installed 2.2 because I didn't like it when it came with GL1.4.

    Do you know what's NewToolbarClose?

    I don't know. My purpose for installing 2.2 was to make it work, and as long as it works and I am happy, I didn't bother to look at the other settings that would only make me busier.

    Speaking of being global, I was talking about Geeklog v1.4's default fckconfig.js The big question is whether its settings were made by Geeklog's developers or were they just the defaults of FCKeditor?


    fckconfig.js that came with 1.4 is customized by Blaine. It is not the default.

    Have you checked the directory public_html/javascripts? That's where all the commands that call the functions of fckconfig.js. I took some time to look into those files, but couldn't understand them well except the top part where they call the specific toolbars in the fckconfig.js. You might know more about java scripts to understand the entire files.

    Sam


    How to upgrade to FCKeditor 2.2 on GL 1.4

    Posted on: 26/03/06 05:39pm
    By: LWC

    You can declare Full Window and just not use it in a toolbar.

    fckconfig.js that came with 1.4 is customized by Blaine. It is not the default.

    So we have a problem because the new fckconfig.sys has new parameters and who knows what Geeklog needs them to be.

    Also, we don't know which parameters were set by Blaine and which were set as defaults. If a parameter is the latter, maybe that default was changed in the new version and I shouldn't change it to what the old version had.

    In other words, the new fckconfig.js file should be shipped to Blaine ASAP for a setup...

    How to upgrade to FCKeditor 2.2 on GL 1.4

    Posted on: 26/03/06 05:49pm
    By: samstone

    Look at the public_html/javascripts/ directory and you will see everything there.

    I don't think Blaine has done any major change with the configuration. He just use the java scripts to bridge the FCKeditor and GL.

    In fact, FCKeditor works out of the box with GL, all you need is to put the few codes in the appropriate places like the header and editors' textareas. Blaine just made it fancy, because he is a java expert.

    I don't know why you think there is some "artificial intelligent" in there..

    Sam

    How to upgrade to FCKeditor 2.2 on GL 1.4

    Posted on: 26/03/06 07:12pm
    By: LWC

    So now you're saying fckconfig.js is the default and we just need to add the toolbars there and we're all set (we can just leave the Javascripts from before)?

    How to upgrade to FCKeditor 2.2 on GL 1.4

    Posted on: 26/03/06 09:09pm
    By: samstone

    Why does it always seem so sticky to talk with you?

    How to upgrade to FCKeditor 2.2 on GL 1.4

    Posted on: 27/03/06 05:25am
    By: LWC

    It's not my fault you changed your mind from one post to the next...

    First you said Blaine chose certain settings in fckconfig.js and then you said he only added the toolbars there and his work is mainly in the javascripts (that don't come with FCKeditor anyway so we can safely leave the Javascript folder be).

    How to upgrade to FCKeditor 2.2 on GL 1.4

    Posted on: 27/03/06 08:42am
    By: samstone

    Bingo!

    How to upgrade to FCKeditor 2.2 on GL 1.4

    Posted on: 02/05/06 06:28pm
    By: LWC

    I've finally done it and indeed it works with a proxy!

    I've added important notes to my original post.

    How to upgrade to FCKeditor 2.2 on GL 1.4

    Posted on: 09/05/06 11:30am
    By: LWC

    Now when the upgrade went well, my only question is why whenever I click "Link" do I keep getting (yes, those are 2 errors):
    [QUOTE my server's error log]
    [error] Directory index forbidden by rule: fckeditor/editor/dialog/
    [error] Directory index forbidden by rule: fckeditor/editor/dialog/
    [/QUOTE]
    ?

    How to upgrade to FCKeditor 2.2 on GL 1.4

    Posted on: 18/06/06 08:37am
    By: LWC

    v2.3 is no longer beta. I suggest you all to upgrade. Exactly the same instructions apply (see my original post).

    The only noticeable change I've found was in the clicking "Link" bug:

    [QUOTE my server's error log]
    [error] Directory index forbidden by rule: fckeditor/editor/dialog/
    [/QUOTE]
    Yes, it only shows up once in the new version. Maybe by v2.4 it would be gone completely...

    Another thing you should know is not directly related to Geeklog. v2.3's javascripts use backslashes, which may be removed by certain ad protectors and therefore end up ruining your ability to create/edit stories in Geeklog's HTML/FCKeditor mode.

    How to upgrade to FCKeditor 2.2 on GL 1.4

    Posted on: 18/06/06 09:36am
    By: Blaine

    FCKeditor v2.3 will be part of the next GL release and is already in CVS. This looks to be a very nice release of FCKeditor and I particularly like the new maximize and autogrow features. It's also much faster loading.

    How to upgrade to FCKeditor 2.2 on GL 1.4

    Posted on: 30/06/06 02:08pm
    By: LWC

    Alert, alert...I've only thought v2.3 worked because I didn't actually try to submit a story. Once I do, Geeklog deletes the intro/bodytext and tells me I must enter an intro/bodytext!

    Also, I forgot to mention the Preview/Editor/Publish/etc. toolbar is written in blue over a blue background, which means it's unreadable!

    What's going on?!

    v2.2's upgrade went perfectly!

    How to upgrade to FCKeditor 2.2 on GL 1.4

    Posted on: 01/07/06 06:31pm
    By: LWC

    Listen, this is serious. Please don't ignore it.

    As for the blue on blue top toolbar, do you think it's related to the fact that my server's error log keeps showing

    [error] File does not exist: /admin/css/fck_internal.css

    ?

    As for not being able to submit stories, this is really a major problem! I've resorted to writing a story in FCKEditor, coping its source code, switching to plaintext format to submit it and then pasting that source code into PHPMyAdmin...

    Geeklog - Forum
    https://www.geeklog.net/forum/viewtopic.php?showtopic=65522